Subject: Re: [Adslmib] Re: VDSL Line Extension MIB - Modified

From: "Michael Sneed" <[email-masked]>
Date: Mon, 09 Jun 2003 11:06:35 -0400

Bob is right, and his suggested gameplan is a sound one (given that was 
largely the one used for the VDSL work).

It is not only unnecessary to reference undefined future work in the current 
MIB , it would be a very bad thing.

Further, it would be a bad thing to attempt to anticipate the DSL Forum's 
definition of the LCS MIB.  The one thing no one wants is TWO standards.

My suggestion is that we drop the LCS topic for the current document, and 
seek a charter revision to do an LCS MIB.  That will give us the opportunity 
to be consistent with the DSL Forum work without holding up the present 
documents.  We really just need editor(s).

If someone were to produce an individual submission ID based on DSL Forum 
work or the -07 draft to get the ball rolling, that would certainly help, 
and would assist in proving to the IESG that we are serious.  It is also 
appropriate to discuss the details of the charter revision, if anyone feels 
like chiming in. Please note, however, that the working group cannot 
"commit" to producing an LCS MIB without a charter to do so.

Regards,

Mike

>From: Bob Ray <[email-masked]>
>Reply-To: [email-masked]
>To: adslmib mail list <[email-masked]>
>Subject: [Adslmib] Re: VDSL Line Extension MIB - Modified
>Date: 09 Jun 2003 09:15:55 -0500
>
>Felix (and all):
>
>This insistence that the hands of the IETF be bound by specific
>references to work that hasn't been chartered and by work that
>hasn't been done is not productive.
>
>I would suggest, instead, that those who feel most strongly
>about the "missing tables" do the following:
>
>a) dredge up a copy of the -07 draft
>b) write a draft vdsl-line-extension-mib using the missing
>    tables
>c) submit the draft as an individual contribution to the
>    IETF
>d) at the next meeting of the adslmib working group (perhaps
>    Vienna), suggest that the charter be amended to support
>    an extension MIB
>e) humbly offer the individual contribution to the working
>    group as a good starting point for such work.
>f) work with (and in) the DSL Forum to achieve agreement as
>    to THEIR preferred management objects.
>
>I believe this approach would be FAR MORE PRODUCTIVE...
>
>See: http://www.ietf.org/ietf/1id-guidelines.txt for information
>on accomplishing this.
>
>Regards,
>Bob Ray
>
>_______________________________________________
>Adslmib mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/adslmib

_________________________________________________________________
STOP MORE SPAM with the new MSN 8 and get 2 months FREE*  
http://join.msn.com/?page=features/junkmail

_______________________________________________
Adslmib mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/adslmib

---

From: "Michael Sneed" <[email-masked]>
Date: Mon, 09 Jun 2003 14:15:19 -0400

Just to clarify (because there are a couple of lines of argument going on 
here and it is easy for me to get confused):

1) The issue of LCS configuration objects in the current MIB is not a 
charter issue.  They are neither required nor excluded by the charter.  I 
think we all agree on this.

2) It is my assumption that producing an LCS MIB would require a charter 
revision.  This is really only because we would be producing a new document. 
  If editor(s) are available for this work it is unlikely the work would not 
be chartered.  I expect the risk is probably about the same as that we get 
shut down before promoting the VDSL MIB for failure to reach a consensus 
;-).  It might be possible to do it without a new charter, since the 
functionality is not exluded from the current charter, but it is best to 
revise the charter to match the work.

3) There are three possible ways to proceed from here (as I see it):

i) Promote the current VDSL MIB and recharter to do the LCS MIB when it can 
be done consistent with the DSLF.
ii) Hold the VDSL MIB until we can do LCS configuration consistent with the 
DSLF.
iii) Promote the VDSL MIB and drop LCS altogether for the time being.
iv) Revert to the scheme of LCS management in -07 and promote that.

If I understand Moti, he is recommending ii), while I recommend i).  I 
haven't heard anyone argue for iii).  I don't think I have heard anyone 
recommend iv), but sometimes I am not so sure.

4) There is still debate over whether to refer to LCS MIBs if we pursue 
option i) or iii).  I don't understand this argument, because I fail to see 
the usefulness of the proposed references.  The case of 2662 is not a good 
example, because the LCS MIBs were never written, and that whole issue would 
disappear were the document updated.

So we need to reach  consensus on items 3) and 4) if we are going to make 
progress.   I would like to see the current draft move forward, because I 
think it is useful in its current form.  The lack of LCS configuration 
functionality does not detract from the usefulness of what is there; 
delaying the LCS features simply reflects the reality of maintaining 
consistency with the DSLF.  Can any one argue why we will not be better off 
with the core MIB at Proposed, rather than a constantly morphing ID?  The 
argument that this leaves the door open to proporietary implementations does 
not hold water; without having the core at Proposed the door is MUCH wider, 
because there is NO standard.

>From: [email-masked]
>To: [email-masked]
>CC: [email-masked], [email-masked]
>Subject: Re: [Adslmib] Re: VDSL Line Extension MIB - Modified
>Date: Mon, 9 Jun 2003 19:55:14 +0300
>
>
>Bob and all,
>
>Any LCS tables that were in the -07 draft certainly belong to the WG
>charter/scope. The 2 newer drafts do not have those tables not because the
>tables "do not belong to the charter" but because of considering the DSLF
>TR. We now know how "mature" and serious is that DSLF management model. The
>DSLF itself, after everyone (except for ECI and maybe others too) was happy
>with the content of the TR, discovered a need for correcting the model
>EVERY MEETING since they published TR. Part of the findings are going to be
>included in a new working text (WT) but currently the DSLF model doesn't
>match the -09 draft. It seems that tsome people in our WG don't see a need
>to wait until the DSLF formally accept or reject those changes but (as Mike
>just said) "The one thing no one wants is TWO standards". If that is
>correct than we MUST hold our work until the DSLF members formally evaluate
>the corrected model.
>
>When Mike raised the possibility of having a "core" MIB and extension(s) to
>that MIB I assumed that this is a procedure which is fully within the
>charter. Now I see that even before discussing the missing SNMP objects
>there is a potential scenario that we won't be able to even start such an
>extension. I hear arguments such as "references to work that hasn't been
>done is not productive", while the same WG published RFC2662 with a
>reference to any external (proprietary) MIB. If the ADSL MIB can have a
>hook for a proprietary extension, why can't the VDSL MIB include a hook for
>a potential LCS extensions (proprietary or by IETF)?
>
>Best regards,
>Moti Morgenstern
>
>Senior Systems Engineer
>ECI Telecoms Ltd.
>Inovia Broadband Access Division
>30 Hasivim St.
>Petach Tikva, Israel 49133
>Tel.: +972-3-9266258
>Fax: +972-3-9268182
>Cell: +972-55-786258
>e-mail: [email-masked]
>www.ecitele.com
>
>
>
>
>                       Bob Ray <rray@
>                       pesa.com>                To:      adslmib mail list 
><[email-masked]>
>                       Sent by:                 cc:
>                       adslmib-admin@           Subject: [Adslmib] Re: VDSL 
>Line Extension MIB - Modified
>                       ietf.org
>
>
>                       09/06/03 17:15
>                       Please respond
>                       to rray
>
>
>
>
>
>Felix (and all):
>

_________________________________________________________________
The new MSN 8: smart spam protection and 2 months FREE*  
http://join.msn.com/?page=features/junkmail

---

From: [email-masked]
Date: Thu, 12 Jun 2003 14:41:30 +0200

Hi Mike,

	I think, based on all the previous discussion, that the only way
that everyone in the working group
 will agree to proceed is if with adopt option 3) i) "Promote the current
VDSL MIB and recharter to do the 
LCS MIB when it can be done consistent with the DSLF." This is also
consistent with Bob Ray's email suggesting a change to the charter.
	Option 3) iii) "Promote the VDSL MIB and drop LCS altogether for the
time being." is completely 
unacceptable.
	Item 4) "There is still debate over whether to refer to LCS MIBs
..." If we divide the MIB into two parts
the core MIB and the LCS MIB then it makes sense that within the core MIB
there is explanation and 
reference to the LCS MIBs. I would have thought that the example of RFC 2662
is a good example as it 
shows that when there is a core MIB and an extension MIB there is a need to
reference the extension
in the core MIB. If we adopt 3) i) and stick to the timetable set out by Bob
Ray we will not have a problem
of having a core MIB with references to a non-existing extension MIB.
	I suggest that we accept option 3) i) and also Bob Ray's
modification to the charter (with my additions)
and the Goals and Milestones that Bob outlined.

	Regards,
	Menachem Dodge

---

From: Flemisch Felix <[email-masked]>
Date: Thu, 12 Jun 2003 21:19:34 +0200

As a comment to my e-mail of 09 Jun 2003 03:33:53 +0200 (msg00263)
Bob Ray wrote on 09 Jun 2003 09:15:55 -0500 (msg00265)

> ...

In my e-mail entitled "VDSL Line Extension MIB - Modified" I'm
proposing four very concrete text fragments how to improve the
current text of vdsl-09 (or vdsl-09a) regarding the structure
of line configuration profile tables.  That structure needs to
include the agreed core table of vdsl-09 and a set of LCS tables.
From the overall discussion in the WG I conclude that my point
of view is widely adopted.  But for some foggy reason this common
understanding shall not be documented in the core VDSL MIB.  The
most productive way to proceed would be to provide corrections
to my proposed text fragments that incorporate the positions of
the WG members that do not agree with my wordings.

Mike Sneed wrote on 09 Jun 2003 14:15:19 -0400 (msg00270)

> i)   Promote the current VDSL MIB and recharter to do the LCS MIB
>      when it can be done consistent with the DSLF.
> ii)  Hold the VDSL MIB until we can do LCS configuration
>      consistent with the DSLF.
...
> 4) There is still debate over whether to refer to LCS MIBs if we
>    pursue option i) or iii).  ...
...

I recommend 3)i) and request that we do the LCS MIB in close
cooperation with the DSLF so that "when it can be done consistent
with the DSLF" is compeletely out of the question.  Since the DSLF
OpNM WG seems to be fully aware of the current state of art I can't
see any problem there.  Regarding 4) I recommend at the same time
to refer to LCS MIBs from the core MIB (sic!) either according to
my proposals (see my e-mail cited above) or according to any agreed
modifications of these proposals submitted by somebody else.

Regards,
Felix Flemisch